WebM Codec SDK: vpx_rc_funcs Struct Reference

WebM Codec SDK

Data Fields
vpx_rc_funcs Struct Reference

Callback function set for external rate control. More...

`#include <vpx_ext_ratectrl.h>`

## Data Fields
vpx_rc_type_t | rc_type
vpx_rc_create_model_cb_fn_t | create_model
vpx_rc_send_firstpass_stats_cb_fn_t | send_firstpass_stats
vpx_rc_send_tpl_gop_stats_cb_fn_t | send_tpl_gop_stats
vpx_rc_get_encodeframe_decision_cb_fn_t | get_encodeframe_decision
vpx_rc_update_encodeframe_result_cb_fn_t | update_encodeframe_result
vpx_rc_get_key_frame_decision_cb_fn_t | get_key_frame_decision
vpx_rc_get_gop_decision_cb_fn_t | get_gop_decision
vpx_rc_get_frame_rdmult_cb_fn_t | get_frame_rdmult
vpx_rc_delete_model_cb_fn_t | delete_model
const char * | rate_ctrl_log_path
void * | priv

## Detailed Description

Callback function set for external rate control.

The user can enable external rate control by registering a set of callback functions with the codec control flag VP9E_SET_EXTERNAL_RATE_CONTROL.

## Field Documentation

## ◆ rc_type

vpx_rc_type_t vpx_rc_funcs::rc_type

The rate control type of this API.

## ◆ create_model

vpx_rc_create_model_cb_fn_t vpx_rc_funcs::create_model

Create an external rate control model.

## ◆ send_firstpass_stats

vpx_rc_send_firstpass_stats_cb_fn_t vpx_rc_funcs::send_firstpass_stats

Send first pass stats to the external rate control model.

## ◆ send_tpl_gop_stats

vpx_rc_send_tpl_gop_stats_cb_fn_t vpx_rc_funcs::send_tpl_gop_stats

Send TPL stats for current GOP to the external rate control model.

## ◆ get_encodeframe_decision

vpx_rc_get_encodeframe_decision_cb_fn_t vpx_rc_funcs::get_encodeframe_decision

Get encodeframe decision from the external rate control model.

## ◆ update_encodeframe_result

vpx_rc_update_encodeframe_result_cb_fn_t vpx_rc_funcs::update_encodeframe_result

Update encodeframe result to the external rate control model.

## ◆ get_key_frame_decision

vpx_rc_get_key_frame_decision_cb_fn_t vpx_rc_funcs::get_key_frame_decision

Get key frame decision from the external rate control model.

## ◆ get_gop_decision

vpx_rc_get_gop_decision_cb_fn_t vpx_rc_funcs::get_gop_decision

Get GOP decisions from the external rate control model.

## ◆ get_frame_rdmult

vpx_rc_get_frame_rdmult_cb_fn_t vpx_rc_funcs::get_frame_rdmult

Get rdmult for the frame from the external rate control model.

## ◆ delete_model

vpx_rc_delete_model_cb_fn_t vpx_rc_funcs::delete_model

Delete the external rate control model.

## ◆ rate_ctrl_log_path

const char* vpx_rc_funcs::rate_ctrl_log_path

Rate control log path.

## ◆ priv

void* vpx_rc_funcs::priv

Private data for the external rate control model.

The documentation for this struct was generated from the following file:

- vpx/vpx_ext_ratectrl.h